"""This is a list of all of the exceptions used in PyZipline."""

class HTTPFailure(Exception):
    """
    Raised when an HTTP request fails.
    """

class Forbidden(Exception):
    """
    Raised when the authenticated user does not have the ability to do an action.
    """

class NotFound(Exception):
    """
    Raised when a resource cannot be found.
    """


class PyZiplineError(Exception):
    """
    Raised when an error occurs in the PyZipline library.
    """

class FeatureDisabledError(Exception):
    """
    Raised when a feature is disabled on the Zipline instance.
    """
